FROM node:12.16.1-alpine AS base

WORKDIR /app

COPY package.json ./
COPY yarn.lock ./

RUN yarn install

COPY . .

FROM base AS build-stage

ARG REACT_APP_HOST_GRAPHQL=http://localhost:4000/
ENV REACT_APP_HOST_GRAPHQL $REACT_APP_HOST_GRAPHQL

RUN yarn build

FROM nginx:1.17.9-alpine as production-stage

COPY --from=build-stage /app/build/ /usr/share/nginx/html
CMD nginx -g 'daemon off;'

EXPOSE 80
